import request from '@/utils/request'

// 查询直播礼物记录列表
export function listImLiveGift(query) {
  return request({
    url: '/service/imLiveGift/list',
    method: 'get',
    params: query
  })
}

// 查询直播礼物记录详细
export function getImLiveGift(id) {
  return request({
    url: '/service/imLiveGift/' + id,
    method: 'get'
  })
}

// 新增直播礼物记录
export function addImLiveGift(data) {
  return request({
    url: '/service/imLiveGift',
    method: 'post',
    data: data
  })
}

// 修改直播礼物记录
export function updateImLiveGift(data) {
  return request({
    url: '/service/imLiveGift',
    method: 'put',
    data: data
  })
}

// 删除直播礼物记录
export function delImLiveGift(id) {
  return request({
    url: '/service/imLiveGift/' + id,
    method: 'delete'
  })
}
